package com.topsunit.scanservice.ximai.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.*;

/**
 * <p>Title: Purcc</p>
 * <p>Description: 到货单单头档</p>
 *
 * @author xi.feng
 * @version V1.0
 * @date 2021/10/19
 */
@Data
@Entity
@IdClass(PurccId.class)
public class Purcc extends EntityBase {
    @Id
    @ApiModelProperty("单别")
    private String cc001;
    @Id
    @ApiModelProperty("单号")
    private String cc002;
    @Column
    @ApiModelProperty("日期")
    private String cc003;
    @Column
    @ApiModelProperty("")
    private String cc004;
    @Column
    @ApiModelProperty("供货商号")
    private String cc005;
    @Column
    @ApiModelProperty("")
    private String cc006;
    @Column
    @ApiModelProperty("")
    private String cc009;
    @Column
    @ApiModelProperty("")
    private String cc010;
    @Column
    @ApiModelProperty("供货商名称")
    private String cc012;
    @Column
    @ApiModelProperty("")
    private String cc026;
    @Column
    @ApiModelProperty("库房标识")
    private String udf01;
}
