package com.topsunit.scanservice.ximai.dto;

import com.topsunit.scanservice.ximai.entity.EntityBase;
import com.topsunit.scanservice.ximai.entity.PurcdId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import java.math.BigDecimal;

/**
 * <p>Title: Purcd</p>
 * <p>Description: 到货单单身档</p>
 *
 * @author xi.feng
 * @version V1.0
 * @date 2021/10/19
 */
@Data
public class PurcdCreateParams  {
    @ApiModelProperty("单别")
    private String cd001;
    @ApiModelProperty("单号")
    private String cd002;
    @ApiModelProperty("序号")
    private String cd003;
    @ApiModelProperty("品号")
    private String cd004;
    @ApiModelProperty("品名")
    private String cd005;
    @ApiModelProperty("规格")
    private String cd006;
    @ApiModelProperty("库存单位")
    private String cd007;
    @ApiModelProperty("到货数量")
    private BigDecimal cd008;
    @ApiModelProperty("采购单别")
    private String cd010;
    @ApiModelProperty("采购单号")
    private String cd011;
    @ApiModelProperty("采购序号")
    private String cd012;
    @ApiModelProperty("")
    private String cd017;
    @ApiModelProperty("")
    private BigDecimal cd018;
    @ApiModelProperty("")
    private BigDecimal cd019;
    @ApiModelProperty("")
    private BigDecimal cd020;
    @ApiModelProperty("")
    private BigDecimal cd026;
    @ApiModelProperty("")
    private BigDecimal cd027;
    @ApiModelProperty("")
    private BigDecimal cd028;
    @ApiModelProperty("")
    private BigDecimal cd029;
    @ApiModelProperty("")
    private String cd034="N";
    @ApiModelProperty("")
    private String udf01;
    @ApiModelProperty("")
    private String udf02;
}
