package com.topsunit.scanservice.ximai.entity;

import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import java.math.BigDecimal;

/**
 * <p>Title: Purcd</p>
 * <p>Description: 到货单单身档</p>
 *
 * @author xi.feng
 * @version V1.0
 * @date 2021/10/19
 */
@Data
@Entity
@IdClass(PurcdId.class)
public class Purcd extends EntityBase {
    @Id
    private String cd001;
    @Id
    private String cd002;
    @Id
    private String cd003;
    @Column
    private String cd004;
    @Column
    private String cd005;
    @Column
    private String cd006;
    @Column
    private String cd007;
    @Column
    private BigDecimal cd008;
    @Column
    private String cd010;
    @Column
    private String cd011;
    @Column
    private String cd012;
    @Column
    private String cd017;
    @Column
    private BigDecimal cd018;
    @Column
    private BigDecimal cd019;
    @Column
    private BigDecimal cd020;
    @Column
    private BigDecimal cd026;
    @Column
    private BigDecimal cd027;
    @Column
    private BigDecimal cd028;
    @Column
    private BigDecimal cd029;
    @Column
    private String cd034;
    @Column
    private String udf01;
    @Column
    private String udf02;
}
